# Fixing Video in kivycatalogue example
1. Should also install: 
```
sudo apt-get install \
ffmpeg \
libgstreamer1.0-dev \
libavcodec-dev \
libavdevice-dev \
libavfilter-dev \
libavformat-dev \
libavutil-dev \
libswscale-dev \
libswresample-dev \
libpostproc-dev
```
1. Trying to `pip install ffpyplayer`
    1. Compile ffmpeg to be shared... according to [these docs](https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu).
    1. Install the dependencies: 
```
sudo apt-get -y install autoconf automake build-essential libass-dev libfreetype6-dev \
  libsdl1.2-dev libtheora-dev libtool libva-dev libvdpau-dev libvorbis-dev libxcb1-dev libxcb-shm0-dev \
  libxcb-xfixes0-dev pkg-config texinfo zlib1g-dev yasm
```
    1. Setup libfdk-aac:
```
wget -O fdk-aac.tar.gz https://github.com/mstorsjo/fdk-aac/tarball/master
tar xzvf fdk-aac.tar.gz
cd mstorsjo-fdk-aac*
autoreconf -fiv
./configure
make
sudo make install
make distclean
```
    1. Install more deps: `sudo aptitude install libmp3lame-dev libopus-dev`
    1. Compile libvpx:
```
wget http://storage.googleapis.com/downloads.webmproject.org/releases/webm/libvpx-1.5.0.tar.bz2
tar xjvf libvpx-1.5.0.tar.bz2
cd libvpx-1.5.0
./configure --disable-examples --disable-unit-tests
make
sudo make install
make clean
```
    1. Yet some more dependencies: `sudo aptitude install libx264-dev cmake`
    1. Compile a new version of libx265 (ignore this):
```
hg clone https://bitbucket.org/multicoreware/x265
cd x265/build/linux
cmake -G "Unix Makefiles" -DENABLE_SHARED:bool=on ../../source
make
sudo make install
make distclean
```
    1. Compile ffmpeg:
```
wget http://ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2
tar xjvf ffmpeg-snapshot.tar.bz2
cd ffmpeg
PKG_CONFIG_PATH="/usr/local/lib/pkgconfig" ./configure \
  --enable-gpl \
  --enable-libass \
  --enable-libfdk-aac \
  --enable-libfreetype \
  --enable-libmp3lame \
  --enable-libopus \
  --enable-libtheora \
  --enable-libvorbis \
  --enable-libvpx \
  --enable-libx264 \
  --enable-nonfree
make
sudo make install
```

No, this does not work.  Can not pip install ffpyplayer.  Giving up.
